"""This module define project configurations variables"""

from decouple import config

# API Constants
API_TOKEN = config("MINDSIGHT_FULL_API_TOKEN")
API_BASE_URL = config("MINDSIGHT_FULL_API_URL")
API_VERSION = "v1"

# Request config
PAGE_SIZE: int = 5000
TIMEOUT: int = 600  # Default set to 600 seconds (10 minutes)

# Date formats
DATETIME_FORMAT = "%Y-%m-%dT%H:%M:%SZ"
DATE_FORMAT = "%Y-%m-%d"

# Endpoints
API_ENDPOINT_GROUPS = "/groups"
API_ENDPOINT_PERMISSIONS = "/permissions"
API_ENDPOINT_USERS = "/users"
API_ENDPOINT_USER_SETTINGS = "/user_settings"
API_ENDPOINT_USER_CONFIG_NOTIFICATIONS = "/user_config_notifications"
API_ENDPOINT_ACCESS_RULES = "/access_rules"
API_ENDPOINT_PEOPLE = "/people"
API_ENDPOINT_ALL_PEOPLE = "/all_people"
API_ENDPOINT_SALARIES = "/salaries"
API_ENDPOINT_RAISE_TYPES = "/raise_types"
API_ENDPOINT_BONUSES = "/bonuses"
API_ENDPOINT_PLRS = "/plrs"
API_ENDPOINT_VARIABLE_SALARIES = "/variable_salaries"
API_ENDPOINT_EXTRA_HOURS = "/extra_hours"
API_ENDPOINT_POSITIONS = "/positions"
API_ENDPOINT_AREAS = "/areas"
API_ENDPOINT_COMPANIES = "/companies"
API_ENDPOINT_CONTRACT_TYPES = "/contract_types"
API_ENDPOINT_MANAGERS = "/managers"
API_ENDPOINT_MANAGERS_SECONDARY = "/managers_secondary"
API_ENDPOINT_PERFORMANCE_SECTIONS = "/performance_sections"
API_ENDPOINT_PERFORMANCE_EVALUATION_ROUNDS = "/performance_evaluation_rounds"
API_ENDPOINT_PERFORMANCE_EVALUATIONS = "/performance_evaluations"
API_ENDPOINT_EVALUATION_GROUPS = "/evaluation_groups"
API_ENDPOINT_PERFORMANCE_EVALUATIONS_BY_GROUP = "/performance_evaluations_by_group"
API_ENDPOINT_PERFORMANCE_INDICATORS = "/performance_indicators"
API_ENDPOINT_PERFORMANCE_MISSIONS = "/performance_missions"
API_ENDPOINT_PERFORMANCE_MARKERS = "/performance_markers"
API_ENDPOINT_PERFORMANCE_LABELS = "/performance_labels"
API_ENDPOINT_ROUND_PERFORMANCE = "/round_performance"
API_ENDPOINT_OPEN_QUESTIONS_AND_ANSWERS = "/open_questions_and_answers"
API_ENDPOINT_ASSESSMENTS = "/assessments"
API_ENDPOINT_COST_CENTERS = "/cost_centers"
API_ENDPOINT_ABSENCES = "/absences"
API_ENDPOINT_VACATION_INFORMATION = "/vacation_information"
API_ENDPOINT_WORK_EXPERIENCES = "/work_experiences"
API_ENDPOINT_TRAININGS = "/trainings"
API_ENDPOINT_CERTIFICATES = "/certificates"
API_ENDPOINT_ALERTS = "/alerts"
API_ENDPOINT_ALERTS_TYPES = "/alerts_types"
API_ENDPOINT_EDUCATIONS = "/educations"
API_ENDPOINT_PARTNERSHIP = "/partnership"
API_ENDPOINT_SHARES = "/shares"
API_ENDPOINT_SHARES_VALUE = "/shares_value"
API_ENDPOINT_REFUNDS = "/refunds"
API_ENDPOINT_AID = "/aid"
API_ENDPOINT_GUARANTEED_MINIMUM_PLR = "/guaranteed_minimum_plr"
API_ENDPOINT_CLIENT_SETTINGS = "/client_settings"
API_ENDPOINT_CLIMATE_SURVEY_CATEGORY = "/climate_survey_category"
API_ENDPOINT_CLIMATE_SURVEY = "/climate_survey"
API_ENDPOINT_CLIMATE_SURVEY_QUESTION = "/climate_survey_question"
API_ENDPOINT_CLIMATE_SURVEY_NPS = "/climate_survey_nps"
API_ENDPOINT_CLIMATE_SURVEY_LNPS = "/climate_survey_lnps"
API_ENDPOINT_CLIMATE_SURVEY_AREA = "/climate_survey_area"
API_ENDPOINT_CLIMATE_SURVEY_NPS_AREA = "/climate_survey_nps_area"
API_ENDPOINT_CLIMATE_SURVEY_LNPS_AREA = "/climate_survey_lnps_area"
API_ENDPOINT_CLIMATE_SURVEY_QUESTION_AREA = "/climate_survey_question_area"
API_ENDPOINT_CLIMATE_SURVEY_AREA_STATS = "/climate_survey_area_stats"
API_ENDPOINT_AREA_INSTANCES = "/area_instances"
API_ENDPOINT_AREA_HIERARCHY = "/area_hierarchy"
API_ENDPOINT_AREA_HIERARCHY_SECONDARY = "/area_hierarchy_secondary"
API_ENDPOINT_AREA_LEADERS = "/area_leaders"
API_ENDPOINT_ANNOTATIONS = "/annotations"
API_ENDPOINT_ANNOUNCEMENTS = "/announcements"
API_ENDPOINT_ANNOUNCEMENTS_VIEWS = "/announcements_views"
API_ENDPOINT_PAYGRADES = "/paygrades"
API_ENDPOINT_PAYGRADE_RECORDS = "/paygrade_records"
API_ENDPOINT_BENEFITS = "/benefits"
API_ENDPOINT_BENEFITIARIES = "/benefitiaries"
API_ENDPOINT_BENEFIT_TYPES = "/benefit_types"
API_ENDPOINT_EXPERIENCES_AND_EXPERTISES = "/experiences_and_expertises"
API_ENDPOINT_EXPERTISES = "/expertises"
API_ENDPOINT_FEEDBACK_CATEGORIES = "/feedback_categories"
API_ENDPOINT_TAXES = "/taxes"
